curl --location 'http://uat-payments.alps.cl/justpay/check-out/SecurePayment' \
--form 'public_key="zyssglikvtltbd2se2hudwl50jjomil2uytp7tpvjtxyfdw469jagk8yvnex9jks"' \
--form 'time="2024-07-17 16:33:11"' \
--form 'channel="30"' \
--form 'amount="50"' \
--form 'currency="USD"' \
--form 'trans_id="1"' \
--form 'time_expired="120"' \
--form 'url_ok="https://bit.ly/3S4I7iR"' \
--form 'url_error="https://bit.ly/3S5aOwc"' \
--form 'signature="e2e34cf65981233fb647b0918315cee958134688cf3bed3ffa212878130efda8"' \
--form 'shopper_information="{
\"Phone\": \"992211234\",
\"email\": \"[email protected]\",
\"name_shopper\": \"ieorodllrerk\",
\"Num_doc_identi\": \"E3A1234190049\",
\"type_doc_identi\": \"PAS\",
\"last_name_Shopper\": \"Da e5Sd\",
\"country\":\"PER\",
\"country_code\":\"+51\"
}"'
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'http://uat-payments.alps.cl/justpay/check-out/SecurePayment',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS => array('public_key' => 'zyssglikvtltbd2se2hudwl50jjomil2uytp7tpvjtxyfdw469jagk8yvnex9jks','time' => '2024-07-17 16:33:11','channel' => '30','amount' => '50','currency' => 'USD','trans_id' => '1','time_expired' => '120','url_ok' => 'https://bit.ly/3S4I7iR','url_error' => 'https://bit.ly/3S5aOwc','signature' => 'e2e34cf65981233fb647b0918315cee958134688cf3bed3ffa212878130efda8','shopper_information' => '{
"Phone": "992211234",
"email": "[email protected]",
"name_shopper": "ieorodllrerk",
"Num_doc_identi": "E3A1234190049",
"type_doc_identi": "PAS",
"last_name_Shopper": "Da e5Sd",
"country":"PER",
"country_code":"+51"
}'),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
url = "http://uat-payments.alps.cl/justpay/check-out/SecurePayment"
payload = {'public_key': 'zyssglikvtltbd2se2hudwl50jjomil2uytp7tpvjtxyfdw469jagk8yvnex9jks',
'time': '2024-07-17 16:33:11',
'channel': '30',
'amount': '50',
'currency': 'USD',
'trans_id': '1',
'time_expired': '120',
'url_ok': 'https://bit.ly/3S4I7iR',
'url_error': 'https://bit.ly/3S5aOwc',
'signature': 'e2e34cf65981233fb647b0918315cee958134688cf3bed3ffa212878130efda8',
'shopper_information': '{
"Phone": "992211234",
"email": "[email protected]",
"name_shopper": "ieorodllrerk",
"Num_doc_identi": "E3A1234190049",
"type_doc_identi": "PAS",
"last_name_Shopper": "Da e5Sd",
"country":"PER",
"country_code":"+51"
}'}
files=[
]
headers = {}
response = requests.request("POST", url, headers=headers, data=payload, files=files)
print(response.text)
var request = require('request');
var options = {
'method': 'POST',
'url': 'http://uat-payments.alps.cl/justpay/check-out/SecurePayment',
'headers': {
},
formData: {
'public_key': 'zyssglikvtltbd2se2hudwl50jjomil2uytp7tpvjtxyfdw469jagk8yvnex9jks',
'time': '2024-07-17 16:33:11',
'channel': '30',
'amount': '50',
'currency': 'USD',
'trans_id': '1',
'time_expired': '120',
'url_ok': 'https://bit.ly/3S4I7iR',
'url_error': 'https://bit.ly/3S5aOwc',
'signature': 'e2e34cf65981233fb647b0918315cee958134688cf3bed3ffa212878130efda8',
'shopper_information': '{\n "Phone": "992211234", \n "email": "[email protected]", \n "name_shopper": "ieorodllrerk", \n "Num_doc_identi": "E3A1234190049", \n "type_doc_identi": "PAS", \n "last_name_Shopper": "Da e5Sd",\n "country":"PER",\n "country_code":"+51"\n }'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});